# coding: utf-8

require File.expand_path(File.join(File.dirname(__FILE__),"files.rb"))

### Specification for the new Gem
Gem::Specification.new do |spec|

  spec.name          = "try-catch"
  spec.version       = File.open(File.join(File.dirname(__FILE__),"VERSION")).read.split("\n")[0].chomp.gsub(' ','')
  spec.authors       = ["Adam Luzsi"]
  spec.email         = ["adamluzsi@gmail.com"]
  spec.description   = %q{ try catch blocks for Ruby! }
  spec.summary       = %q{ try catch blocks for Ruby! }
  spec.homepage      = "https://github.com/adamluzsi/try-catch"
  spec.license       = "MIT"

  spec.files         = TryCatch.class_variable_get("@@spec_files")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  %W[ rake bundler debugger ].each{ |gem_name| spec.add_development_dependency(gem_name) }

end
